import request from '@/utils/request'

// 查询参数列表
export function listInssues(data) {
  return request({
    url: '/system/carbon/problem/list',
    method: 'post',
    data: data
  })
}

//问题新增
export function addInssues(data) {
  return request({
    url: '/system/carbon/problem',
    method: 'post',
    data: data
  })
}

//问题更新
export function updateInssues(data) {
  return request({
    url: '/system/carbon/problem',
    method: 'put',
    data: data
  })
}

//问题删除
export function delInssues(data) {
  return request({
    url: '/system/carbon/problem',
    method: 'delete',
    params: data
  })
}

//问题状态
export function issuesStatus(query) {
  return request({
    url: '/system/carbon/problem/disen',
    method: 'get',
    params: query
  })
}
